﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SampleDemo
{
    public class OrderInfo : INotifyPropertyChanged
	{
		public OrderInfo ()
		{
		}

		#region private variables

		private int studentID;
		private string studentName;
		private int studentRegno;
        private string className;

		#endregion

		#region Public Properties

        public int StudentID
        {
            get { return studentID; }
            set
            {
                this.studentID = value;
                RaisePropertyChanged("StudentID");
            }
        }

		public string StudentName
        {
			get { return studentName; }
			set { 
				this.studentName = value;
				RaisePropertyChanged ("StudentName");
			}
		}

        public string ClassName
        {
            get { return className; }
            set
            {
                this.className = value;
                RaisePropertyChanged("ClassName");
            }
        }

		public int StudentRegno
        {
			get { return studentRegno; }
			set {
				this.studentRegno = value;
				RaisePropertyChanged ("StudentRegno");
			}
		}

		#endregion

		#region INotifyPropertyChanged implementation

		public event PropertyChangedEventHandler PropertyChanged;

		private void RaisePropertyChanged (String Name)
		{
			if (PropertyChanged != null)
				this.PropertyChanged (this, new PropertyChangedEventArgs (Name));
		}

		#endregion
	}
}
